package cn.com.qmth.am.config;

import java.io.File;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

@Component
public class InitData implements CommandLineRunner {

	@Autowired
	private SysProperty sysProperty;

	@Override
	public void run(String... args) throws Exception {
		File dataDir=new File(sysProperty.getDataDir());
		if(!dataDir.exists()) {
			dataDir.mkdir();
		}
		File stuImpDir=new File(sysProperty.getDataDir()+"/student-import");
		if(!stuImpDir.exists()) {
			stuImpDir.mkdir();
		}
		File quesImpDir=new File(sysProperty.getDataDir()+"/question-import");
		if(!quesImpDir.exists()) {
			quesImpDir.mkdir();
		}
		File mscoreImpDir=new File(sysProperty.getDataDir()+"/marking-score-import");
		if(!mscoreImpDir.exists()) {
			mscoreImpDir.mkdir();
		}
	}
	

}
