package cn.com.qmth.am.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.qmth.am.entity.base.IdEntity;
import cn.com.qmth.am.enums.DataStatus;

@TableName("am_student_score")
public class StudentScoreEntity extends IdEntity {

	private static final long serialVersionUID = -6261302618070108336L;

	private Long studentId;

	private Integer mainNumber;
	private String subNumber;
	
	//机评分
	private Double aiScore;
	//人评分
	private Double markingScore;
	//机评得分率
	private Double scoreRatio;
	
	private DataStatus dataStatus;
	
	//错误信息
	private String errMsg;

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public String getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(String subNumber) {
		this.subNumber = subNumber;
	}

	public Double getAiScore() {
		return aiScore;
	}

	public void setAiScore(Double aiScore) {
		this.aiScore = aiScore;
	}

	public Double getMarkingScore() {
		return markingScore;
	}

	public void setMarkingScore(Double markingScore) {
		this.markingScore = markingScore;
	}


	public Double getScoreRatio() {
		return scoreRatio;
	}

	public void setScoreRatio(Double scoreRatio) {
		this.scoreRatio = scoreRatio;
	}

	public DataStatus getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(DataStatus dataStatus) {
		this.dataStatus = dataStatus;
	}

	public String getErrMsg() {
		return errMsg;
	}

	public void setErrMsg(String errMsg) {
		this.errMsg = errMsg;
	}



}
