package cn.com.qmth.am.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import cn.com.qmth.am.enums.DataType;

@Component
public class SysProperty {
	
    @Value("${com.qmth.solar.app-version}")
    private String version;
    @Value("${com.qmth.fss.config}")
    private String fssConfig;

    @Value("${com.qmth.fss.server}")
    private String fssServer;

    @Value("${am.data-dir}")
    private String dataDir;

    @Value("${am.data-type}")
    private DataType dataType;

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getFssConfig() {
		return fssConfig;
	}

	public void setFssConfig(String fssConfig) {
		this.fssConfig = fssConfig;
	}

	public String getFssServer() {
		return fssServer;
	}

	public void setFssServer(String fssServer) {
		this.fssServer = fssServer;
	}

	public String getDataDir() {
		return dataDir;
	}

	public void setDataDir(String dataDir) {
		this.dataDir = dataDir;
	}

	public DataType getDataType() {
		return dataType;
	}

	public void setDataType(DataType dataType) {
		this.dataType = dataType;
	}

}